> ## Documentation Index
> Fetch the complete documentation index at: https://docs.periskope.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Purge Queue

> This endpoint purges the jobs in the queue

If neither queue_id nor broadcast_id are provided in the request body, this will purge all the message jobs in the queues.

<Warning>
  **Deprecated.** Use [`POST /message/queues/purge`](/api-reference/message/purge-queue-jobs) instead.
  The request body shape is the same, `queue_ids` and `broadcast_id` are accepted
</Warning>


## OpenAPI

````yaml DELETE /queue/purge
openapi: 3.0.3
info:
  title: API - Local
  description: >-
    #### Welcome to the official Postman collection of Periskope API


    Periskope APIs enable you automate actions on your WhatsApp phone, and the
    Periskope platform


    - Read more about the APIs & webhooks here -
    [https://docs.periskope.app/api-reference/introduction](https://docs.periskope.app/api-reference/introduction)
        
    - We encourage responsible usage of the APIs. Follow these best practices
    and recommendations for safe actions on WhatsApp -
    [https://docs.periskope.app/get-started/best-practices](https://docs.periskope.app/get-started/best-practices)
        

    #### Getting Started


    ##### Pre-requisites:


    1. **Sign up for a free account on Periskope:** To use the Periskope API,
    you need to have an active Periskope account. If you don’t have one, you can
    sign up for a 7-day free trial [here](https://console.periskope.app).
        
    2. **Scan the QR code from WhatsApp to connect your phone:** A connected
    phone is required to use the APIs
        
    3. **Go to** [Settings &gt;
    API](https://console.periskope.app/settings/api), and generate an API key
    for your organization - The API key is used to authenticate every request.
    Please keep this secure
        

    ##### Using Postman:


    1. **Fork the collection so you can edit values and test the APIs in your
    own postman environment:** To fork the collection, click on the three dots
    next to v1. Then click on create a fork (_shortcut: Ctrl + Alt + F)._
        
    2. **Update the value of the variables in the collection:**  
        \- Update the API key with the key generated in Step 3  
        \- Update the phone number with your connected number. This number will be added to the `x-phone` header across requests
        
        It must be in the format of country code+number, with no special characters or spaces _e.g. +91 98745 32456 becomes 919874532456_
        

    For any help or feedback, please contact us at
    [support@periskope.app](https://mailto:support@periskope.app), or ping us on
    [WhatsApp](https://what.sapp.link/periskope)
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.periskope.app/v1
security:
  - bearerAuth: []
tags:
  - name: contacts
  - name: tickets
  - name: tasks
  - name: phones
  - name: message
  - name: queue
  - name: chats
  - name: group
  - name: members
  - name: webhooks
  - name: custom properties
paths:
  /queue/purge:
    delete:
      tags:
        - queue
      summary: Purge Queue
      description: >-
        This endpoint purges the jobs in the queue


        If neither queue_id nor broadcast_id are provided in the request body,
        this will purge all the message jobs in the queues.
      operationId: purgeQueue
      parameters:
        - name: x-phone
          in: header
          schema:
            type: string
            example: '{{orgPhone}}'
          description: >-
            Please provide the number of the phone you want to call with this
            API in the header. The number must be in country code + number
            format without any characters or spaces, e.g. 919876543210;
            Alternatively, provide the phone_id (phone-xxxxxxxxxxxx) in the
            header
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                queue_id:
                  oneOf:
                    - type: string
                    - type: array
                      items:
                        type: string
                  description: >-
                    Provide the queue_id of the message to purge only jobs in
                    that queue (or an array of queue_id to purge multiple
                    queues)
                  example: 63cda77b-73de-433e-a652-a8f489100d43
                broadcast_id:
                  type: string
                  description: >-
                    Provide the broadcast_id to purge all messages of that
                    broadcast
              additionalProperties: false
            examples:
              Purge all jobs:
                summary: Purge the entire queue
                value: {}
              Purge by queue_id:
                summary: Purge a single job by queue_id
                value:
                  queue_id: 63cda77b-73de-433e-a652-a8f489100d43
              Purge by multiple queue_ids:
                summary: Purge multiple jobs by queue_id
                value:
                  queue_id:
                    - 63cda77b-73de-433e-a652-a8f489100d43
                    - 88fcc933-c746-44c2-bea5-e1d0c2b4c10f
              Purge by broadcast_id:
                summary: Purge all jobs for a specific broadcast
                value:
                  broadcast_id: bcast-12345
      responses:
        '204':
          description: 204 No Content
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: ''
            Connection:
              schema:
                type: string
                example: keep-alive
            Date:
              schema:
                type: string
                example: Tue, 21 Jan 2025 10:13:10 GMT
            ETag:
              schema:
                type: string
                example: W/"14d76-yw6cbkusCpOpz7PGT9Tim+sjPXI"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
            X-RateLimit-Limit:
              schema:
                type: string
                example: '10'
            X-RateLimit-Remaining:
              schema:
                type: string
                example: '9'
            X-RateLimit-Reset:
              schema:
                type: string
                example: '1737454392'
            x-periskope-org-id:
              schema:
                type: string
                example: 2997dd64-89bf-48d3-9a22-b314fca017e5
            x-periskope-phone-id:
              schema:
                type: string
                example: phone-bqzvyibhmwkaergr
            x-periskope-trace-id:
              schema:
                type: string
                example: 50fa45c0-d7e0-11ef-a933-1d669e736d47
          content:
            application/json:
              schema:
                type: object
                description: _204 No Content_
              examples: {}
      x-codeSamples:
        - lang: TypeScript
          label: Node.js
          source: |-
            import { PeriskopeApi } from '@periskope/periskope-client';

            const client = new PeriskopeApi({
             authToken: 'YOUR_API_KEY',
             phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
            });

            async function purgeQueue() {
             await client.queue.purge({
             queue_id: '63cda77b-73de-433e-a652-a8f489100d43'
             });

             console.log('Queue purge requested');
            }

            purgeQueue();
        - lang: cURL
          label: cURL
          source: |
            curl -X DELETE \
             https://api.periskope.app/v1/queue/purge \
             -H 'Authorization: Bearer <token>' \
             -H 'Content-Type: application/json' \
             -H 'x-phone: YOUR_PHONE_NUMBER' \
             -d '{"queue_id": "63cda77b-73de-433e-a652-a8f489100d43"}'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````